; Script generated by the Inno Setup Script Wizard.
; SEE THE DOCUMENTATION FOR DETAILS ON CREATING INNO SETUP SCRIPT FILES!

#define MyAppName "Vestige"
#define MyAppVersion "1.0.0"
#define MyAppExeName "vestige.exe" 

[Setup]
; NOTE: The value of AppId uniquely identifies this application.
; Do not use the same AppId value in installers for other applications.
; (To generate a new GUID, click Tools | Generate GUID inside the IDE.)
AppId={{AEACCA02-66BF-4C3A-9D5E-383D3A6AD6EB}
AppName={#MyAppName}
AppMutex=VestigeMutex
AppVersion={#MyAppVersion}
VersionInfoVersion={#MyAppVersion}.0
AppVerName={#MyAppName} {#MyAppVersion}
DefaultDirName={pf}\{#MyAppName}
DefaultGroupName={#MyAppName}
DisableProgramGroupPage=yes
OutputBaseFilename=vestige-setup
Compression=lzma
SolidCompression=yes
UninstallDisplayIcon={app}\{#MyAppExeName}
ArchitecturesInstallIn64BitMode=x64

[Languages]
Name: "english"; MessagesFile: "compiler:Default.isl"

[Files]
Source: "C:\target\checkJava.bat"; Flags: dontcopy
Source: "C:\target\CheckJava.class"; Flags: dontcopy
Source: "C:\target\vestige\amd64\vestige.exe"; DestDir: "{app}"; Check: Is64BitInstallMode
Source: "C:\target\vestige\vestige.exe"; DestDir: "{app}"; Check: not Is64BitInstallMode
Source: "C:\target\vestige\amd64\mb2wc.exe"; DestDir: "{app}"; Check: Is64BitInstallMode
Source: "C:\target\vestige\mb2wc.exe"; DestDir: "{app}"; Check: not Is64BitInstallMode
Source: "C:\target\vestige\*"; Excludes: "vestige*.exe,mb2wc*.exe,amd64"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs
; NOTE: Don't use "Flags: ignoreversion" on any shared system files

[Icons]
Name: "{group}\{cm:UninstallProgram,{#MyAppName}}"; Filename: "{uninstallexe}"
Name: "{group}\{#MyAppName}"; Filename: "{app}\{#MyAppExeName}"

[Run]
Filename: "{app}\{#MyAppExeName}"; Description: "{cm:LaunchProgram,{#StringChange(MyAppName, '&', '&&')}}"; Flags: nowait postinstall skipifsilent shellexec

[Code]

function InitializeSetup(): Boolean;
var
 ErrorCode: Integer;
 JavaInstalled : Boolean;
 DowloadNow : Boolean;
 TmpFileName: String;
 TmpFileNameContent: AnsiString;
begin
  ExtractTemporaryFile('checkJava.bat');
  ExtractTemporaryFile('CheckJava.class');

  TmpFileName := ExpandConstant('{tmp}') + '\java_check.txt';
  DeleteFile(TmpFileName);

  JavaInstalled := ShellExec('open', ExpandConstant('{tmp}\checkJava.bat'),'','',SW_HIDE,ewWaitUntilTerminated,ErrorCode);
  if JavaInstalled then begin
    if not LoadStringFromFile(TmpFileName, TmpFileNameContent) then JavaInstalled := false;
  end;

  if JavaInstalled then begin
    Result := true;
  end else begin
    Result:=false;
    DowloadNow := MsgBox('This tool requires Java Runtime Environment version 1.6 or newer to run. Please download and install the JRE and run this setup again. Do you want to download it now?', mbConfirmation, MB_YESNO) = idYes;
    if DowloadNow then ShellExec('open', 'http://www.java.com/getjava/','','',SW_SHOWNORMAL,ewNoWait,ErrorCode);
  end;
end;
